using SchoolContracts.BindingModels;
using SchoolContracts.SearchModels;
using SchoolContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolContracts.BusinessLogicsContracts
{
	public interface ICoursesLogic
	{
		List<CoursesViewModel>? ReadList(CoursesSearchModel? model);
		CoursesViewModel? ReadElement(CoursesSearchModel model);
		bool Create(CoursesBindingModel model);
		bool Update(CoursesBindingModel model);
		bool Delete(CoursesBindingModel model);
	}
}
